
/**
 * A demonstration application to be used as a start for homework #1
 * for CMSC 427 - Spring 2000.
 * 
 * @author Ben Bederson
 * @date January 25, 2000
 * 
 * Turned in by Justin Gaertner
 * login:  bb42708
 * 
 * Turned in as part of Homework 2, Feb. 15, 2000
 * 
 */
import java.awt.*;
import java.awt.event.*;

/**
 * A mouse listener for a DrawingPanel that passes the first and second
 * point of a line back to the panel with alternating mouse clicks.
 */
class DrawingMouseListener extends MouseAdapter {
	private CircleDrawingPanel panel; // The panel to draw on
	private boolean firstPress = true; // True when expecting first mouse press
	private Checkbox cb; // A checkbox to toggle antialiasing
	
	/**
	 * Constructor that receives the panel to draw on.
	 */
	public DrawingMouseListener(CircleDrawingPanel panel) {
		this.panel = panel;
		cb = new Checkbox("Antialiasing",false);
		this.panel.add(cb);
		
		cb.addItemListener(new ItemListener() {
			public void itemStateChanged(ItemEvent e) {
			changeAlias();
			
			}
			});		
	}

	/**
	 * Mouse Press event listener that sets both points of the line on 
	 * the first mouse click, and then sets the second point on the
	 * second click - effectively letting the user draw a line one
	 * with each two clicks.
	 */
	
	
	public void mousePressed(MouseEvent e) {
		if (firstPress) {
			panel.setPoint1(e.getX(), e.getY());
			panel.setPoint2(e.getX(), e.getY());
			firstPress = false;
		} else {
			panel.setPoint2(e.getX(), e.getY());
			firstPress = true;
		}
	}
	
	/**
	 * changeAntialias is a method in class
	 * CircleDrawingPanel which toggles between a regular
	 * circle or an antialiased circle.
	 */
	public void changeAlias() {
		panel.changeAntialias();
	}
}
